Page MenuHomePhabricator

Provide an API for template sandbox
Closed, ResolvedPublic

Description

That is, action=parse with given template overrides.

I just tried to find such an API.


Version: unspecified
Severity: enhancement

Details

Reference
bz63523
Related Gerrit Patches:
mediawiki/extensions/TemplateSandbox : masterAdd API support

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:13 AM
bzimport set Reference to bz63523.
bzimport added a subscriber: Unknown Object (MLST).
liangent created this task.Apr 4 2014, 3:09 PM

Change 295257 had a related patch set uploaded (by Anomie):
Add API support

https://gerrit.wikimedia.org/r/295257

Change 295257 merged by jenkins-bot:
Add API support

https://gerrit.wikimedia.org/r/295257

Anomie closed this task as Resolved.Jun 24 2016, 3:25 PM
Anomie claimed this task.

The solution was, in fact, to add parameters to action=parse (and action=expandtemplates) to let TemplateSandbox do its thing there.